import React, { Component } from 'react';
import fromCDN from "from-cdn";


class Gantt extends Component {
  constructor(props) {
    super(props);

    this.container = React.createRef();
	this.ready = fromCDN([
		"//cdn.dhtmlx.com/gantt/5.2/dhtmlxgantt.js",
		"//cdn.dhtmlx.com/gantt/5.2/dhtmlxgantt.css"
	]);
  }
  componentDidMount() {
    this.ready.then(_ => {
		var tasks = {
            data: [
                {
                    id: 1, text: "Project #2", start_date: "01-04-2018", duration: 18, order: 10,
                    progress: 0.4, open: true
                },
                {
                    id: 2, text: "Task #1", start_date: "02-04-2018", duration: 8, order: 10,
                    progress: 0.6, parent: 1
                },
                {
                    id: 3, text: "Task #2", start_date: "11-04-2018", duration: 8, order: 20,
                    progress: 0.6, parent: 1
                }
            ],
            links: [
                {id: 1, source: 1, target: 2, type: "1"},
                {id: 2, source: 2, target: 3, type: "0"}
            ]
        };
    
    	/* globals gantt */
        gantt.init(this.container.current);
        gantt.clearAll();
        gantt.parse(tasks);
    });
  }
  render() {
    return (
      <div ref={this.container} class="widget-box"></div>
    );
  }
}

export default Gantt;
